Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.context.annotation
Class AnnotationConfigBeanDefinitionParser

    java.lang.Object
      org.springframework.context.annotation.AnnotationConfigBeanDefinitionParser

All Implemented Interfaces:
  BeanDefinitionParser

    public class AnnotationConfigBeanDefinitionParser

extends Object
implements BeanDefinitionParser

Parser for the <context:annotation-config/> element.

Since:
  2.5
Author:
  Mark Fisher, Juergen Hoeller, Christian Dupuis
See Also:
  `AnnotationConfigUtils`

Constructor Summary
`AnnotationConfigBeanDefinitionParser()`

Method Summary
`BeanDefinition` | `parse(Element element, ParserContext parserContext)` Parse the specified `Element` and register the resulting `BeanDefinition(s)` with the `ParserContext.getRegistry()` BeanDefinitionRegistry} embedded in the supplied `ParserContext`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationConfigBeanDefinitionParser

    public AnnotationConfigBeanDefinitionParser()

Method Detail

### parse

    public BeanDefinition parse(Element element,
                                ParserContext parserContext)

  Description copied from interface: `BeanDefinitionParser`
  Parse the specified `Element` and register the resulting `BeanDefinition(s)` with the `ParserContext.getRegistry()` BeanDefinitionRegistry} embedded in the supplied `ParserContext`.

  Implementations must return the primary `BeanDefinition` that results from the parse if they will ever be used in a nested fashion (for example as an inner tag in a `<property/>` tag). Implementations may return `null` if they will not be used in a nested fashion.

  Specified by:
    `parse` in interface `BeanDefinitionParser`
  Parameters:
    `element` - the element that is to be parsed into one or more `BeanDefinitions`
    `parserContext` - the object encapsulating the current state of the parsing process; provides access to a `BeanDefinitionRegistry`
  Returns:
    the primary `BeanDefinition`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.